com.threerings.micasa.lobby

## Class LobbyManager

- java.lang.Object
- - com.threerings.crowd.server.PlaceManager
  - - com.threerings.micasa.lobby.LobbyManager

All Implemented Interfaces:
  com.threerings.crowd.chat.server.SpeakHandler.SpeakerValidator, com.threerings.presents.dobj.ChangeListener, com.threerings.presents.dobj.MessageListener

Direct Known Subclasses:
  TableLobbyManager

    public class LobbyManager
    extends com.threerings.crowd.server.PlaceManager

Takes care of the server side of a particular lobby.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.crowd.server.PlaceManager

`com.threerings.crowd.server.PlaceManager.DelegateOp, com.threerings.crowd.server.PlaceManager.MessageHandler`

### Constructor Summary

Constructors
Constructor and Description
`LobbyManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init(LobbyRegistry lobreg, Properties config)` Initializes this lobby manager with its configuration properties.

### Methods inherited from class com.threerings.crowd.server.PlaceManager

`addDelegate, applyToDelegates, applyToOccupants, bodyWillEnter, bodyWillLeave, checkPermissions, getConfig, getLocation, getPlaceObject, init, isValidSpeaker, messageReceived, ratifyBodyEntry, registerMessageHandler, shutdown, startup, toString, updateOccupantInfo, where`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LobbyManager

    public LobbyManager()

### Method Detail

#### init

    public void init(LobbyRegistry lobreg,
                     Properties config)
              throws Exception

Initializes this lobby manager with its configuration properties.

Throws:
  `Exception` - thrown if a configuration error is detected.